summaryrefslogtreecommitdiff
path: root/move_debs
diff options
context:
space:
mode:
authorranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2015-12-14 12:57:12 +0000
committerranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2015-12-14 12:57:12 +0000
commitf82c9449951c75bd5d9f7083c8683ddd15121738 (patch)
treeba88f6c289d0bcf56c1676983a13809cf00fe1ca /move_debs
parentd7b5493f488e7c7f696bc6815fea06a9f7a6695f (diff)
Various improvements
- Don't remove r-base-*.deb files when cleaning sources - Use ./build [options] sourcepackage instead of build*.sh - Use ./build_others [options] instead of build_others.sh - Use ./clean [squeeze|wheezy|jessie] instead of clean.sh - Improve comment in backport_others script - Use ./move_debs instead of move_*.sh git-svn-id: svn+ssh://stiller/home/schatz/reps/r-backports@117 f247ebf9-aa24-0410-a698-f940e971ad2b
Diffstat (limited to 'move_debs')
-rwxr-xr-xmove_debs18
1 files changed, 18 insertions, 0 deletions
diff --git a/move_debs b/move_debs
new file mode 100755
index 0000000..7f1919f
--- /dev/null
+++ b/move_debs
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# Move binary packages built in a chroot to the local repository
+
+# Positional argument
+if [ $# -lt 1 ]; then usage; exit 1; fi
+DIST=$1
+
+usage()
+{
+echo "Usage: ./move_debs squeeze|wheezy|jessie"
+}
+
+# Validate distribution argument
+if [ $DIST != "squeeze" ] && [ $DIST != "wheezy" ] && [ $DIST != "jessie" ]; then usage; exit 1; fi
+
+chown jranke $DIST/*${DIST}cran*_amd64.deb
+mv $DIST/*${DIST}cran*_amd64.deb /home/jranke/svn/website/www/ranke/r-cran/$DIST-cran3

Contact - Imprint